#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hslua-packaging
version:              2.3.0
visibility:           public
id:                   hslua-packaging-2.3.0-AnweP0BpBhdE3zCFnUWoQ3
key:                  hslua-packaging-2.3.0-AnweP0BpBhdE3zCFnUWoQ3
license:              MIT
copyright:            © 2019-2023 Albert Krewinkel
maintainer:           tarleb@hslua.org
author:               Albert Krewinkel
homepage:             https://hslua.org/
synopsis:             Utilities to build Lua modules.
description:
    Utilities to package up Haskell functions and
    values into a Lua module.

    This package is part of HsLua, a Haskell framework
    built around the embeddable scripting language
    <https://lua.org Lua>.

category:             Foreign
abi:                  53c9817edc7b92666a15c3e5863be327
exposed:              True
exposed-modules:
    HsLua.Packaging HsLua.Packaging.Convenience
    HsLua.Packaging.Documentation HsLua.Packaging.Function
    HsLua.Packaging.Module HsLua.Packaging.Rendering
    HsLua.Packaging.Types HsLua.Packaging.UDType

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hslua-packaging-2.3.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hslua-packaging-2.3.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hslua-packaging
hs-libraries:         HShslua-packaging-2.3.0-AnweP0BpBhdE3zCFnUWoQ3
depends:
    base-4.15.1.0 containers-0.6.4.1
    hslua-core-2.3.1-997dcuxD2LODzwf96aMvc4
    hslua-marshalling-2.3.0-J4ELRpsGYHgC0iVRKVWWuJ
    hslua-objectorientation-2.3.0-8wJUDwkzUfcDNY2nfkWGT7
    hslua-typing-0.1.0-6llLvedf30o6agvYU968yj mtl-2.2.2 text-1.2.5.0

haddock-interfaces:
    /usr/share/doc/haskell-hslua-packaging/html/hslua-packaging.haddock

haddock-html:         /usr/share/doc/haskell-hslua-packaging/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

